Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:26 2009

## Asterisk developer's documentation

# ast_bridge_config Struct Reference

`#include <channel.h>`

Collaboration diagram for ast_bridge_config:

[legend]

## Data Fields

char * | end_sound
long | feature_timer
struct ast_flags | features_callee
struct ast_flags | features_caller
int | firstpass
unsigned int | flags
long | play_warning
char * | start_sound
struct timeval | start_time
long | timelimit
long | warning_freq
char * | warning_sound

## Detailed Description

Definition at line 451 of file channel.h.

## Field Documentation

char* end_sound

Definition at line 460 of file channel.h.

Referenced by ast_bridge_call(), ast_channel_bridge(), and dial_exec_full().

long feature_timer

Definition at line 455 of file channel.h.

Referenced by ast_bridge_call(), and ast_channel_bridge().

struct ast_flags features_callee`[read]`

Definition at line 453 of file channel.h.

Referenced by ast_bridge_call(), ast_channel_bridge(), ast_feature_interpret(), builtin_atxfer(), dial_exec_full(), park_exec(), set_config_flags(), and try_calling().

struct ast_flags features_caller`[read]`

Definition at line 452 of file channel.h.

Referenced by ast_bridge_call(), ast_channel_bridge(), ast_feature_interpret(), builtin_atxfer(), dial_exec_full(), park_exec(), set_config_flags(), and try_calling().

int firstpass

Definition at line 462 of file channel.h.

Referenced by ast_bridge_call(), and ast_channel_bridge().

unsigned int flags

Definition at line 463 of file channel.h.

Referenced by ast_channel_bridge(), and ast_generic_bridge().

long play_warning

Definition at line 457 of file channel.h.

Referenced by ast_bridge_call(), ast_channel_bridge(), and dial_exec_full().

char* start_sound

Definition at line 461 of file channel.h.

Referenced by ast_bridge_call(), ast_channel_bridge(), and dial_exec_full().

struct timeval start_time`[read]`

Definition at line 454 of file channel.h.

Referenced by ast_bridge_call(), ast_channel_bridge(), and dial_exec_full().

long timelimit

Definition at line 456 of file channel.h.

Referenced by ast_channel_bridge(), ast_generic_bridge(), and dial_exec_full().

long warning_freq

Definition at line 458 of file channel.h.

Referenced by ast_bridge_call(), ast_channel_bridge(), and dial_exec_full().

char* warning_sound

Definition at line 459 of file channel.h.

Referenced by ast_bridge_call(), ast_channel_bridge(), and dial_exec_full().

The documentation for this struct was generated from the following file:

- channel.h